/**
 * CONNECTION API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AutoDto } from './autoDto';
import { AgencyDto } from './agencyDto';
import { ConnectionDto } from './connectionDto';
import { PriceTripDto } from './priceTripDto';
import { FrequenceDto } from './frequenceDto';
import { ArretDto } from './arretDto';


export interface TripDto { 
    ID?: number;
    Ref?: string | null;
    ConnectionID?: number;
    Connection?: ConnectionDto;
    DepartureTime?: Date | null;
    ArrivalTime?: Date | null;
    FrequenceID?: number | null;
    Frequence?: FrequenceDto;
    ListArrets?: Array<ArretDto> | null;
    AutoID?: number | null;
    Auto?: AutoDto;
    Price?: number;
    PriceTrips?: Array<PriceTripDto> | null;
    FullTripLabel?: string | null;
    DepartureArret?: ArretDto;
    TerminusArret?: ArretDto;
    Agency?: AgencyDto;
    Duration?: number | null;
    StopOccurence?: number | null;
}

